Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.apache.xalan.xpath
Class XPathException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--org.xml.sax.SAXException
                        |
                        +--weblogic.apache.xalan.xpath.XPathException

Direct Known Subclasses:
  XPathProcessorException, XSLProcessorException

public class XPathException
extends org.xml.sax.SAXException

This class implements an exception object that all XPath classes will throw in case of an error. This class extends SAXException, and may hold other exceptions. In the case of nested exceptions, printStackTrace will dump all the traces of the nested exceptions, not just the trace of this object.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Author:
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Field Summary
`protected java.lang.Exception` | `m_exception`

Constructor Summary
`XPathException(java.lang.String message)` Create an XPathException object that holds an error message.
`XPathException(java.lang.String message, java.lang.Exception e)` Create an XPathException object that holds an error message, and another exception that caused this exception.
`XPathException(java.lang.String message, org.w3c.dom.Node styleNode, java.lang.Exception e)` Create an XPathException object that holds an error message, the stylesheet node that the error originated from, and another exception that caused this exception.
`XPathException(java.lang.String message, java.lang.Object styleNode)` Create an XPathException object that holds an error message and the stylesheet node that the error originated from.

Method Summary
`java.lang.Exception` | `getException()` Return the embedded exception, if any.
`java.lang.String` | `getMessage()` Find the most contained message.
`java.lang.Object` | `getStylesheetNode()` Get the stylesheet node from where this error originated.
`void` | `printStackTrace(java.io.PrintStream s)` Print the the trace of methods from where the error originated.
`void` | `printStackTrace(java.io.PrintWriter s)` Print the the trace of methods from where the error originated.

Methods inherited from class org.xml.sax.SAXException
`toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### m_exception

    protected java.lang.Exception m_exception

Constructor Detail

### XPathException

    public XPathException(java.lang.String message)

  Create an XPathException object that holds an error message.

  Parameters:
    `message` - The error message.

### XPathException

    public XPathException(java.lang.String message,
                          java.lang.Object styleNode)

  Create an XPathException object that holds an error message and the stylesheet node that the error originated from.

  Parameters:
    `message` - The error message.
    `styleNode` - The stylesheet node that the error originated from.

### XPathException

    public XPathException(java.lang.String message,
                          org.w3c.dom.Node styleNode,
                          java.lang.Exception e)

  Create an XPathException object that holds an error message, the stylesheet node that the error originated from, and another exception that caused this exception.

  Parameters:
    `message` - The error message.
    `styleNode` - The stylesheet node that the error originated from.
    `e` - The exception that caused this exception.

### XPathException

    public XPathException(java.lang.String message,
                          java.lang.Exception e)

  Create an XPathException object that holds an error message, and another exception that caused this exception.

  Parameters:
    `message` - The error message.
    `e` - The exception that caused this exception.

Method Detail

### getStylesheetNode

    public java.lang.Object getStylesheetNode()

  Get the stylesheet node from where this error originated.

  Returns:
    The stylesheet node from where this error originated, or null.

### printStackTrace

    public void printStackTrace(java.io.PrintStream s)

  Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.

  Parameters:
    `s` - The stream where the dump will be sent to.
  Overrides:
    printStackTrace in class java.lang.Throwable

### getMessage

    public java.lang.String getMessage()

  Find the most contained message.

  Overrides:
    getMessage in class org.xml.sax.SAXException

### printStackTrace

    public void printStackTrace(java.io.PrintWriter s)

  Print the the trace of methods from where the error originated. This will trace all nested exception objects, as well as this object.

  Parameters:
    `s` - The writer where the dump will be sent to.
  Overrides:
    printStackTrace in class java.lang.Throwable

### getException

    public java.lang.Exception getException()

  Return the embedded exception, if any. Overrides org.xml.sax.SAXException.getException().

  Returns:
    The embedded exception, or null if there is none.
  Overrides:
    getException in class org.xml.sax.SAXException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD